Name:           python-recurring-ical-events
Version:        3.4.1
Release:        %mkrel 3
Summary:        A Python module which repeats ICalendar events by RRULE, RDATE and EXDATE
Group:          Development/Python

# Check if the automatically generated License and its spelling is correct
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-3.0-or-later
URL:            https://github.com/niccokunzmann/python-recurring-ical-events
Source:         %{pypi_source recurring_ical_events}
Patch:          0001-relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
ICal has some complexity to it: Events, TODOs and Journal entries can be
repeated, removed from the feed and edited later on. This tool takes care of
these circumstances.
Let’s put our expertise together and build a tool that can solve this!}

%description %_description

%package -n     python3-recurring-ical-events
Summary:        %{summary}

%description -n python3-recurring-ical-events %_description


%prep
%autosetup -p1 -n recurring_ical_events-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files recurring_ical_events


%check
%pyproject_check_import


%files -n python3-recurring-ical-events -f %{pyproject_files}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.4.1-3.mga10
+ Revision: 2242649
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 3.4.1-2.mga10
+ Revision: 2159928
- rebuild for python3.13

* Thu Jan 23 2025 papoteur <papoteur> 3.4.1-1.mga10
+ Revision: 2140749
- relax requirements
- new version 3.4.1

* Fri Jun 21 2024 papoteur <papoteur> 2.2.1-1.mga10
+ Revision: 2076041
- new version 2.2.1

* Thu Mar 28 2024 papoteur <papoteur> 2.1.3-1.mga10
+ Revision: 2052925
- new version 2.1.3

* Thu Jan 11 2024 papoteur <papoteur> 2.1.2-1.mga10
+ Revision: 2029875
- new for caldav
- imported package python-recurring-ical-events

